import 'package:flutter_test/flutter_test.dart';
import 'package:garden_planner/entities/beet_entry_return.dart';
import 'package:garden_planner/entities/plant.dart';

void main() {
  test('beetEntryReturn entity Test', () {
    // Arrange
    Plant plant = Plant(
        name: "name",
        waterRequirement: 1,
        horizontalSpace: 2,
        verticalSpace: 3,
        id: 4,
        supType: "description");
    const int beetRow = 5;
    // Act
    final beetEntryReturn = BeetApiEntryReturn(plant, beetRow);
    // Assert
    expect(beetEntryReturn.plant, equals(plant));
    expect(beetEntryReturn.beetRow, equals(beetRow));
  });
}
